
;~ #NoTrayIcon
;~ #include <GuiConstantsEx.au3>
;~ #include <WindowsConstants.au3>
;~ #include <WinApi.au3>

Global Const $tagVARIANT = "word vt;word r1;word r2;word r3;ptr data; ptr"
Global Const $sUI_PKEY_Color = "{00000190-7363-696e-8441-798acf5aebb7} 19"
Global Const $sUI_PKEY_FontProperties_Size = "{0000012E-7363-696e-8441-798acf5aebb7} 14"
Global Const $sUI_PKEY_FontProperties_Bold = "{0000012F-7363-696e-8441-798acf5aebb7} 19"
Global Const $sUI_PKEY_FontProperties_Italic = "{00000130-7363-696e-8441-798acf5aebb7} 19"
Global Const $sUI_PKEY_FontProperties_Underline = "{00000131-7363-696e-8441-798acf5aebb7} 19"
Global Const $sUI_PKEY_FontProperties_Strikethrough = "{00000132-7363-696e-8441-798acf5aebb7} 19"
Global Const $sUI_PKEY_FontProperties_Family = "{0000012D-7363-696e-8441-798acf5aebb7} 31"
Global Const $sUI_PKEY_GlobalBackgroundColor = "{000007D0-7363-696e-8441-798acf5aebb7} 19"

; RIBBON COMMAND BAR
;.......script written by trancexx (trancexx at yahoo dot com)
; Based on Michael Chourdakis's work. Find him at http://www.turboirc.com/vrc

;******************************************************************************************
;****   Interfaces   **********************************************************************
;******************************************************************************************
;===============================================================================
#interface "IUnknown"
Global Const $sIID_IUnknown = "{00000000-0000-0000-C000-000000000046}"
Global $tagIUnknown = "QueryInterface hresult(ptr;ptr*);" & _
		"AddRef dword();" & _
		"Release dword();"
;===============================================================================

;===============================================================================
#interface "IUIFramework"
Global Const $sCLSID_UIRibbonFramework = "{926749fa-2615-4987-8845-c33e65f2b957}"
Global Const $sIID_IUIFramework = "{F4F0385D-6872-43a8-AD09-4C339CB3F5C5}"
Global Const $tagIUIFramework = _
		"Initialize hresult(hwnd;ptr);" & _
		"Destroy hresult();" & _
		"LoadUI hresult(handle;wstr);" & _
		"GetView hresult(dword;ptr;ptr*);" & _
		"GetUICommandProperty hresult(dword;struct*;variant*);" & _
		"SetUICommandProperty hresult(dword;ptr;variant);" & _
		"InvalidateUICommand hresult(dword;dword;ptr);" & _
		"FlushPendingInvalidations hresult();" & _
		"SetModes hresult(int);"
;===============================================================================

;===============================================================================
#interface "IUIApplication"
Global Const $sIID_IUIApplication = "{D428903C-729A-491d-910D-682A08FF2522}"
Global Const $tagIUIApplication = _
		"OnViewChanged hresult(dword;dword;ptr;dword;int);" & _
		"OnCreateUICommand hresult(dword;dword;ptr);" & _
		"OnDestroyUICommand hresult(dword;dword;ptr);"
;===============================================================================

;===============================================================================
#interface "IUIRibbon"
Global Const $sIID_IUIRibbon = "{803982ab-370a-4f7e-a9e7-8784036a6e26}"
Global Const $tagIUIRibbon = _
		"GetHeight hresult(dword*);" & _
		"LoadSettingsFromStream hresult(ptr);" & _
		"SaveSettingsToStream hresult(ptr);"
;===============================================================================

;===============================================================================
#interface "IUICommandHandler"
Global Const $sIID_IUICommandHandler = "{75ae0a2d-dc03-4c9f-8883-069660d0beb6}"
Global Const $tagIUICommandHandler = _
		"Execute hresult(dword;dword;ptr;variant*;ptr);" & _
		"UpdateProperty hresult(dword;ptr;variant*;variant*);"
;===============================================================================

;===============================================================================
#interface "IPropertyStore"
Global Const $sIID_IPropertyStore = "{886d8eeb-8cf2-4446-8d02-cdba1dbdcf99}"
Global Const $tagIPropertyStore = _
		"GetCount hresult(dword*);" & _
		"GetAt hresult(dword;ptr*);" & _
		"GetValue hresult(struct*;variant*);" & _
		"SetValue hresult(struct*;variant*);" & _
		"Commit hresult();"
;===============================================================================
;******************************************************************************************

; Error monitoring
Global $oError = ObjEvent("AutoIt.Error", "_ErrFunc")
Func _ErrFunc($oErr)
	ConsoleWrite("COM Error, ScriptLine(" & $oErr.scriptline & ") : Number 0x" & Hex($oErr.number, 8) & " - " & $oErr.windescription & @CRLF)
EndFunc   ;==>_ErrFunc






; The End










;~ Func _PlayMusic($fPlay = True)
;~ 	If Not $fPlay Then Return SoundPlay("")
;~ 	Local $sMusicFile = @SystemDir & "\oobe\images\title.wma"
;~ 	If FileExists($sMusicFile) Then ; XP
;~ 		SoundPlay($sMusicFile) ; (No way this will play, lol)
;~ 	Else
;~ 		$sMusicFile = @HomeDrive & "\Users\Public\Music\Sample Music\One Step Beyond.wma"
;~ 		If FileExists($sMusicFile) Then ; Vista
;~ 			SoundPlay($sMusicFile) ; (Maybe, who knows)
;~ 		Else
;~ 			$sMusicFile = @HomeDrive & "\Users\Public\Music\Sample Music\Kalimba.mp3"
;~ 			If FileExists($sMusicFile) Then ; Windows 7
;~ 				SoundPlay($sMusicFile) ; Play Lola Play
;~ 			Else
;~ 				;nothing
;~ 			EndIf
;~ 		EndIf
;~ 	EndIf
;~ EndFunc   ;==>_PlayMusic